Package: org.grails.validation

## [Groovy] Class ConstraintDelegate

- org.grails.validation.ConstraintDelegate

- All Implemented Interfaces and Traits:
    Constraint

      @groovy.transform.CompileStatic
      class ConstraintDelegate
      extends java.lang.Object

  Bridges old validation API and new API

  Authors:
    Graeme Rocher
  Since:
    3.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `grails.gorm.validation.Constraint` | `constraint`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstraintDelegate (grails.gorm.validation.Constraint constraint)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setMessageSource(org.springframework.context.MessageSource source)`
    `` | `void` | `setOwningClass(java.lang.Class owningClass)`
    `` | `void` | `setParameter(java.lang.Object parameter)`
    `` | `void` | `setPropertyName(java.lang.String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @groovy.lang.Delegate final grails.gorm.validation.Constraint constraint

  - ### Constructor Detail

    - #### ConstraintDelegate(grails.gorm.validation.Constraint constraint)

  - ### Method Detail

    - #### @java.lang.Override void setMessageSource(org.springframework.context.MessageSource source)

    - #### @java.lang.Override void setOwningClass(java.lang.Class owningClass)

    - #### @java.lang.Override void setParameter(java.lang.Object parameter)

    - #### @java.lang.Override void setPropertyName(java.lang.String propertyName)